## com.google.gwt.core.ext.typeinfo
Interface HasMetaData

All Known Implementing Classes:
  JAbstractMethod, JClassType, JField, JParameter

public interface HasMetaData

Manages doc comment metadata for an AST item. The structure of the metadata attempts to mirror the way in which tags and values were originally declared.

For example, for the following declaration

     /**
      * @myTag value1 value2
      * @myTag value3 value4
      * ...

a call to `getMetaData("myTag")` would return this array of string arrays

    [0][0] = value1
    [0][1] = value2
    [1][0] = value3
    [1][1] = value4

Method Summary
`void` `addMetaData(java.lang.String tagName, java.lang.String[] values)` Adds additional metadata.
`java.lang.String[][]` `getMetaData(java.lang.String tagName)` Gets each list of metadata for the specified tag name.
`java.lang.String[]` `getMetaDataTags()` Gets the name of available metadata tags.

Method Detail

### addMetaData

    public void addMetaData(java.lang.String tagName,
                            java.lang.String[] values)

  Adds additional metadata.

### getMetaData

    public java.lang.String[][] getMetaData(java.lang.String tagName)

  Gets each list of metadata for the specified tag name.

### getMetaDataTags

    public java.lang.String[] getMetaDataTags()

  Gets the name of available metadata tags.